Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.index
Class MultipleTermPositions

    java.lang.Object
      org.apache.lucene.index.MultipleTermPositions

All Implemented Interfaces:
  TermDocs, TermPositions

public class MultipleTermPositions
extends Object
implements TermPositions

Describe class `MultipleTermPositions` here.

Version:
  1.0
Author:
  Anders Nielsen

Constructor Summary
`MultipleTermPositions(IndexReader indexReader, Term[] terms)` Creates a new `MultipleTermPositions` instance.

Method Summary
`void` | `close()` Describe `close` method here.
`int` | `doc()` Describe `doc` method here.
`int` | `freq()` Describe `freq` method here.
`boolean` | `next()` Describe `next` method here.
`int` | `nextPosition()` Describe `nextPosition` method here.
`int` | `read(int[] arg0, int[] arg1)` Describe `read` method here.
`void` | `seek(Term arg0)` Describe `seek` method here.
`void` | `seek(TermEnum termEnum)` Sets this to the data for the current term in a `TermEnum`.
`boolean` | `skipTo(int target)` Describe `skipTo` method here.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultipleTermPositions

    public MultipleTermPositions(IndexReader indexReader,
                                 Term[] terms)
                          throws IOException

  Creates a new `MultipleTermPositions` instance.

Parameters:
  `indexReader` - an `IndexReader` value
  `terms` - a `Term[]` value
Throws:
  `IOException` - if an error occurs

Method Detail

### next

    public final boolean next()
                       throws IOException

  Describe `next` method here.

  Specified by:
    `next` in interface `TermDocs`
  Returns:
    a `boolean` value
  Throws:
    `IOException` - if an error occurs
  See Also:
    `TermDocs.next()`

### nextPosition

    public final int nextPosition()
                           throws IOException

  Describe `nextPosition` method here.

  Specified by:
    `nextPosition` in interface `TermPositions`
  Returns:
    an `int` value
  Throws:
    `IOException` - if an error occurs
  See Also:
    `TermPositions.nextPosition()`

### skipTo

    public final boolean skipTo(int target)
                         throws IOException

  Describe `skipTo` method here.

  Specified by:
    `skipTo` in interface `TermDocs`
  Parameters:
    `target` - an `int` value
  Returns:
    a `boolean` value
  Throws:
    `IOException` - if an error occurs
  See Also:
    `TermDocs.skipTo(int)`

### doc

    public final int doc()

  Describe `doc` method here.

  Specified by:
    `doc` in interface `TermDocs`
  Returns:
    an `int` value
  See Also:
    `TermDocs.doc()`

### freq

    public final int freq()

  Describe `freq` method here.

  Specified by:
    `freq` in interface `TermDocs`
  Returns:
    an `int` value
  See Also:
    `TermDocs.freq()`

### close

    public final void close()
                     throws IOException

  Describe `close` method here.

  Specified by:
    `close` in interface `TermDocs`
  Throws:
    `IOException` - if an error occurs
  See Also:
    `TermDocs.close()`

### seek

    public void seek(Term arg0)
              throws IOException

  Describe `seek` method here.

  Specified by:
    `seek` in interface `TermDocs`
  Parameters:
    `arg0` - a `Term` value
  Throws:
    `IOException` - if an error occurs
  See Also:
    `TermDocs.seek(Term)`

### seek

    public void seek(TermEnum termEnum)
              throws IOException

  Description copied from interface: `TermDocs`
  Sets this to the data for the current term in a `TermEnum`. This may be optimized in some implementations.

  Specified by:
    `seek` in interface `TermDocs`
  Throws:
    `IOException`

### read

    public int read(int[] arg0,
                    int[] arg1)
             throws IOException

  Describe `read` method here.

  Specified by:
    `read` in interface `TermDocs`
  Parameters:
    `arg0` - an `int[]` value
    `arg1` - an `int[]` value
  Returns:
    an `int` value
  Throws:
    `IOException` - if an error occurs
  See Also:
    `TermDocs.read(int[], int[])`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.